Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Users

Update User
PATCH /users/{userId}
https://api.relesysapp.net/api/v1.4/users/{userId}
Update a user based on the ID provided. Accepts a JsonPatch request in the body.

When patching the customFields array, the externalId (see the documentation for 'Get User Custom Fields') is used as the key reference.
Scopes: relesys.api, relesys.api:write, relesys.api.users, relesys.api.users:write
URL Path
userId string / guid The user's unique identifier required
Request Body
application/json-patch+json
JSON
[{"value":"My patched name","path":"/name","op":"add"},{"value":{"countryCode":45,"number":"11223344"},"path":"/phoneNumber","op":"replace"},{"path":"/title","op":"remove"},{"value":{"customfieldone":"Custom field 1","customfieldtwo":"Custom field 2","birthday":"2002-12-30","skills":["Marketing","Design"]},"path":"/customFields","op":"add"},{"value":"Female","path":"/gender","op":"replace"},{"value":"NUA","path":"/initials","op":"add"},{"value":"R-12345","path":"/registerNumber","op":"add"},{"value":"D-67890","path":"/dutyPlanNumber","op":"add"},{"value":"e60010d8-955d-4445-a423-a5fd3e247526","path":"/imageId","op":"replace"},{"value":"a5e62372-13fc-49df-8a68-6f4388800731","path":"/memberCardId","op":"replace"},{"value":"1234567890","path":"/cardNumber","op":"replace"}]
array[object]
  from string optional
  op string optional
  path string optional
  value object optional
Responses
application/json
JSON
{"data":{"id":"057d64e6-bf92-4fae-ac68-fc8d847d7280","url":null,"departmentUrl":null,"status":"Activated","creationDateTime":"2026-10-02T14:09:03.4469373Z","lastModifiedDateTime":"2026-10-02T14:09:03.4469373Z","image":{"id":"5aedce37-140b-49fc-b8f5-c6624fbeb008","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},"memberCard":{"name":"Member Card Name","cardNumber":"1234567890","id":"81ffc1ac-9c57-4182-9dfb-cf4b6bbaa606","url":null},"externalId":"NUA","name":"New User A","initials":"NUA","userName":"UserNameA","title":"User Title A","dataSource":"RelesysAPI","email":"personalmaila@testmail.com","secondaryEmail":"businessmaila@testmail.com","phoneNumber":{"countryCode":45,"number":"12345678"},"secondaryPhoneNumber":{"countryCode":45,"number":"12345679"},"birthDate":"2002-12-30T00:00:00Z","gender":"Male","primaryDepartmentId":"5a76ea24-e1e2-43e4-a5eb-4b1b42092beb","additionalDepartments":[{"id":"12f71945-cd46-46de-95f5-134b56e96ac6","dataSource":"RelesysAPI"}],"userGroups":[{"id":"948264e4-9a18-4c88-836d-007e58288c6c","dataSource":"RelesysAPI"},{"id":"5c0cfb25-e449-44e3-ac3c-9c4e2cc73d7b","dataSource":"RelesysAPI"}],"employmentDate":"2018-12-30T13:30:00Z","employmentEndDate":"2021-12-30T13:30:00Z","customFields":{"customfieldone":"Custom field 1","birthday":"2002-12-30","skills":["Marketing"]},"employmentType":"Full-time manager","registerNumber":"RN12345","dutyPlanNumber":"DP12345"}}
object
  ⯈ data object      
   ⯈ additionalDepartments array[object]      
    dataSource string      
    id string / guid      
   birthDate datetime      
   customFields dictionary`2      
   dataSource string      
   departmentUrl string      
   dutyPlanNumber string      
   email string      
   employmentDate datetime      
   employmentEndDate datetime      
   employmentType string      
   externalId string      
   gender string      
   id string / guid      
   ⯈ image object      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   initials string      
   ⯈ memberCard object      
    cardNumber string      
    id string / guid      
    name string      
    url string      
   name string      
   ⯈ phoneNumber object      
    countryCode integer      
    number string      
   primaryDepartmentId string / guid      
   registerNumber string      
   secondaryEmail string      
   ⯈ secondaryPhoneNumber object      
    countryCode integer      
    number string      
   status string      
   title string      
   url string      
   ⯈ userGroups array[object]      
    dataSource string      
    id string / guid      
   userName string